// Cargar el SDK de PayPal
const script = document.createElement('script');
script.src = "https://www.paypal.com/sdk/js?client-id=AfpR7k80OKMEgDWWpuP9k1x6HzUSBeLGGH9APbTIkJVIi1bzkFzajLCajZSUHrfgZjRl2N1pU_WuL6tq&currency=USD&disable-funding=card"; 
document.head.appendChild(script);

script.onload = function() {
    paypal.Buttons({
        createOrder: function(data, actions) {
            return actions.order.create({
                purchase_units: [{
                    amount: {
                        value: getTotalPrice() // Monto total de la compra
                    }
                }]
            });
        },
        onApprove: function(data, actions) {
            return actions.order.capture().then(function(details) {
                alert('Transaction completed by ' + details.payer.name.given_name);
                cart = []; // Vaciamos el carrito tras la compra
                updateCartCount();
            });
        },
        style: {
            layout: 'vertical',
            color: 'blue',
            shape: 'rect',
            label: 'paypal'
        }
        
        }).render('#paypal-button-container');
};
